# Changelog

All notable changes to this project will be documented in this file.

The format is based on [Keep a Changelog](https://keepachangelog.com/en/1.0.0/),
and this project adheres to [Semantic Versioning](https://semver.org/spec/v2.0.0.html).

## v0.2.0 (2023-02-28)

### Refactor

 - <csr-id-5be06818bb2ce40b991791ebcc33aa0cae291e09/> move crates into helpfuly named subfolders

### New Features (BREAKING)

 - <csr-id-7119b0232b715a946fd5762666e468d6e83563a2/> Make presence work again

### Commit Statistics

<csr-read-only-do-not-edit/>

 - 4 commits contributed to the release over the course of 23 calendar days.
 - 2 commits were understood as [conventional](https://www.conventionalcommits.org).
 - 0 issues like '(#ID)' were seen in commit messages

### Commit Details

<csr-read-only-do-not-edit/>

<details><summary>view details</summary>

 * **Uncategorized**
    - Merge pull request #79 from garden-computing:anselm/gar-51-much-simpler-crew-to-replace-credo ([`68b0e66`](https://github.com/usegarden/garden-core/commit/68b0e66541b78278534fda4c4545a42548570cfd))
    - Make presence work again ([`7119b02`](https://github.com/usegarden/garden-core/commit/7119b0232b715a946fd5762666e468d6e83563a2))
    - Merge pull request #78 from garden-computing:anselm/gar-35-client-persistence ([`0aa1c17`](https://github.com/usegarden/garden-core/commit/0aa1c1765fce65f7951d0332b789c8e98790d912))
    - Move crates into helpfuly named subfolders ([`5be0681`](https://github.com/usegarden/garden-core/commit/5be06818bb2ce40b991791ebcc33aa0cae291e09))
</details>

## v0.1.0 (2022-11-15)

<csr-id-2ec2f0209da65cb31d3196158ff6c71b72fa052e/>
<csr-id-08f9e8c313126e33a930adc8e9bd5104da0b5801/>
<csr-id-06b6ff1be0e101713e4ad6a2bdf38eeb224a48df/>

### Chore

 - <csr-id-2ec2f0209da65cb31d3196158ff6c71b72fa052e/> fmt
 - <csr-id-08f9e8c313126e33a930adc8e9bd5104da0b5801/> fix most clippy errors

### Chore

 - <csr-id-06b6ff1be0e101713e4ad6a2bdf38eeb224a48df/> publish own version of nanval

### New Features

 - <csr-id-73404d1e2ead5b35ba5acb2b4fea34c33327aab5/> add is_null

### New Features (BREAKING)

 - <csr-id-17762b3e14baaaaa1115bd16219efcc19405f062/> introduce and use litl-val

